Subject: Re: bug#72450: 29.1; Tramp Failed to Parse OS Name and Version for Windows 11

From: Michael Albinus <[email-masked]>
Date: Thu, 08 Aug 2024 13:18:28 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

> But the "sh-5.2$" part of the prompt Tramp would have understood,
> right?  I'm asking whether Tramp could ignore everything else in this
> prompt, the part that is before "sh-5.2$" and the part after it?

That's too tricky for Tramp's prompt detection. We must always make a
balance between a proper prompt regexp, and avoiding false positives.

Just ignoring everything before and after a fix string like "sh-5.2$" is
too risky. And I don't know whether it is worth the trouble. If it isn't
possible to configure the shell prompt, there might be more surprises
for Tramp.

Tramp requires a POSIX shell on the remote side. For good reasons.

Best regards, Michael.